<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Learun.Loger</name>
    </assembly>
    <members>
        <member name="T:Learun.Loger.Log">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.03.04
            描 述：日志
            </summary>
        </member>
        <member name="F:Learun.Loger.Log.logger">
            <summary>
            日志实体类
            </summary>
        </member>
        <member name="M:Learun.Loger.Log.#ctor(log4net.ILog)">
            <summary>
            构造函数
            </summary>
            <param name="log">日志操作对象</param>
        </member>
        <member name="M:Learun.Loger.Log.Debug(System.Object)">
            <summary>
            调试日志
            </summary>
            <param name="message">消息</param>
        </member>
        <member name="M:Learun.Loger.Log.Error(System.Object)">
            <summary>
            错误日志
            </summary>
            <param name="message">消息</param>
        </member>
        <member name="M:Learun.Loger.Log.Info(System.Object)">
            <summary>
            信息日志
            </summary>
            <param name="message">消息</param>
        </member>
        <member name="M:Learun.Loger.Log.Warn(System.Object)">
            <summary>
            警告日志
            </summary>
            <param name="message">消息</param>
        </member>
        <member name="T:Learun.Loger.LogFactory">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.03.04
            描 述：redis操作方法
            </summary>
        </member>
        <member name="M:Learun.Loger.LogFactory.#cctor">
            <summary>
            构造函数
            </summary>
        </member>
        <member name="M:Learun.Loger.LogFactory.GetLogger(System.Type)">
            <summary>
            获取日志操作对象
            </summary>
            <param name="type">类型</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Loger.LogFactory.GetLogger(System.String)">
            <summary>
            获取日志操作对象
            </summary>
            <param name="str">名字</param>
            <returns></returns>
        </member>
        <member name="T:Learun.Loger.LogFormat">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.03.04
            描 述：日志格式器
            </summary>
        </member>
        <member name="M:Learun.Loger.LogFormat.ErrorFormat(Learun.Loger.LogMessage)">
            <summary>
            生成错误
            </summary>
            <param name="logMessage">对象</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Loger.LogFormat.WarnFormat(Learun.Loger.LogMessage)">
            <summary>
            生成警告
            </summary>
            <param name="logMessage">对象</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Loger.LogFormat.InfoFormat(Learun.Loger.LogMessage)">
            <summary>
            生成信息
            </summary>
            <param name="logMessage">对象</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Loger.LogFormat.DebugFormat(Learun.Loger.LogMessage)">
            <summary>
            生成调试
            </summary>
            <param name="logMessage">对象</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Loger.LogFormat.ExceptionFormat(Learun.Loger.LogMessage)">
            <summary>
            生成异常信息
            </summary>
            <param name="logMessage">对象</param>
            <returns></returns>
        </member>
        <member name="T:Learun.Loger.LogLevel">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.03.04
            描 述：日志级别
            </summary>
        </member>
        <member name="F:Learun.Loger.LogLevel.Error">
            <summary>
            错误
            </summary>
        </member>
        <member name="F:Learun.Loger.LogLevel.Warning">
            <summary>
            警告
            </summary>
        </member>
        <member name="F:Learun.Loger.LogLevel.Info">
            <summary>
            信息
            </summary>
        </member>
        <member name="F:Learun.Loger.LogLevel.Debug">
            <summary>
            调试
            </summary>
        </member>
        <member name="T:Learun.Loger.LogMessage">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.03.04
            描 述：log日志消息模型类
            </summary>
        </member>
        <member name="P:Learun.Loger.LogMessage.OperationTime">
            <summary>
            操作时间
            </summary>
        </member>
        <member name="P:Learun.Loger.LogMessage.Url">
            <summary>
            Url地址
            </summary>
        </member>
        <member name="P:Learun.Loger.LogMessage.Class">
            <summary>
            类名
            </summary>
        </member>
        <member name="P:Learun.Loger.LogMessage.Ip">
            <summary>
            IP
            </summary>
        </member>
        <member name="P:Learun.Loger.LogMessage.Host">
            <summary>
            主机
            </summary>
        </member>
        <member name="P:Learun.Loger.LogMessage.Browser">
            <summary>
            浏览器
            </summary>
        </member>
        <member name="P:Learun.Loger.LogMessage.UserName">
            <summary>
            操作人
            </summary>
        </member>
        <member name="P:Learun.Loger.LogMessage.Content">
            <summary>
            内容
            </summary>
        </member>
        <member name="P:Learun.Loger.LogMessage.ExceptionInfo">
            <summary>
            异常信息
            </summary>
        </member>
        <member name="P:Learun.Loger.LogMessage.ExceptionSource">
            <summary>
            异常来源
            </summary>
        </member>
        <member name="P:Learun.Loger.LogMessage.ExceptionRemark">
            <summary>
            异常信息备注
            </summary>
        </member>
    </members>
</doc>
